# TMR_LLRP_ReaderCapabilities Struct Reference

`#include <tmr_llrp_reader.h>`

List of all members.

## Public Attributes

llrp_u16_t | countryCode
uint32_t | model
char | softwareVersion [128]
TMR_uint16List | powerTable
TMR_uint32List | freqTable
TMR_LLRP_C1G2RFModeTable | gen2Modes [TMR_LLRP_MAX_RFMODE_ENTRIES]

## Detailed Description

This structure is returned from cmdGetReaderCapabilities.

## Member Data Documentation

llrp_u16_t TMR_LLRP_ReaderCapabilities::countryCode

Country code

TMR_uint32List TMR_LLRP_ReaderCapabilities::freqTable

Frequency table

TMR_LLRP_C1G2RFModeTable TMR_LLRP_ReaderCapabilities::gen2Modes[TMR_LLRP_MAX_RFMODE_ENTRIES]

Gen2 RF Mode tables FIXME: Max RFModes available for now is 5. and the index start from 1-5

uint32_t TMR_LLRP_ReaderCapabilities::model

Reader model

TMR_uint16List TMR_LLRP_ReaderCapabilities::powerTable

Power level table

char TMR_LLRP_ReaderCapabilities::softwareVersion[128]

Software version

The documentation for this struct was generated from the following file:

- tmr_llrp_reader.h